Class TroubleTicketsImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.TroubleTicketsImpl
- All Implemented Interfaces:
TroubleTickets
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddNote(String id, TicketNoteRequest request) Adds a note to a trouble ticket.cancel(String id, TicketCancelRequest request) Cancels a trouble ticket.create(TroubleTicketCreateRequest request) Creates a trouble ticket.Retrieves a specific trouble ticket by its identifier.update(String id, TicketUpdateRequest request) Updates a trouble ticket's notification contacts.
-
Constructor Details
-
TroubleTicketsImpl
public TroubleTicketsImpl()
-
-
Method Details
-
create
Description copied from interface:TroubleTicketsCreates a trouble ticket.Maps to
POST /v2/tickets(Create a Ticket). The created ticket id is returned from theLocationresponse header.- Specified by:
createin interfaceTroubleTickets- Parameters:
request- the create request body- Returns:
- the created ticket id
-
getByUuid
Description copied from interface:TroubleTicketsRetrieves a specific trouble ticket by its identifier.Maps to
GET /v2/tickets/{id}(Retrieve a ticket).- Specified by:
getByUuidin interfaceTroubleTickets- Parameters:
id- the identifier of the ticket- Returns:
- the matching ticket
-
update
Description copied from interface:TroubleTicketsUpdates a trouble ticket's notification contacts.Maps to
PATCH /v2/tickets/{id}(Update a ticket).- Specified by:
updatein interfaceTroubleTickets- Parameters:
id- the identifier of the ticketrequest- the update request body- Returns:
trueif the update was accepted
-
addNote
Description copied from interface:TroubleTicketsAdds a note to a trouble ticket.Maps to
POST /v2/tickets/{id}/notes(Add notes to ticket).- Specified by:
addNotein interfaceTroubleTickets- Parameters:
id- the identifier of the ticketrequest- the note request body- Returns:
trueif the note was accepted
-
cancel
Description copied from interface:TroubleTicketsCancels a trouble ticket.Maps to
POST /v2/tickets/{id}/cancel(Cancel a ticket).- Specified by:
cancelin interfaceTroubleTickets- Parameters:
id- the identifier of the ticketrequest- the cancel request body- Returns:
trueif the cancellation was accepted
-